<?php

namespace App\Dto\Input;

use App\Entity\OrganizationalUnit;
use Symfony\Component\Serializer\Annotation\Groups;
use Symfony\Component\Validator\Constraints as Assert;

final class OrganizationalUnitInput
{
    #[Assert\NotBlank]
    #[Groups(['organizational-unit:write'])]
    public ?string $name = null;

    public function __construct(?OrganizationalUnit $organizationalUnit = null)
    {
        if (!$organizationalUnit) {
            return;
        }

        $this->name = $organizationalUnit->getName();
    }

    public function createOrUpdateEntity(?OrganizationalUnit $organizationalUnit = null): OrganizationalUnit
    {
        if (!$organizationalUnit) {
            $organizationalUnit = new OrganizationalUnit();
        }

        $organizationalUnit->setName($this->name);

        return $organizationalUnit;
    }
}